<template>
    <component :is="layout"></component>
</template>

<script>
    import EmptyLayout from './components/layouts/EmptyLayout.vue'
    import FullLayout from './components/layouts/FullLayout.vue'

    const defaultLayout = 'full'

    export default {
        components: {
            'layout-empty': EmptyLayout,
            'layout-full': FullLayout
        },
        name: 'App',
        computed: {
            layout() {
                return ('layout-' + (this.$route.meta.layout || defaultLayout))
            }
        },
        created() {
            const authUser = localStorage.getItem('authUser')
            if (authUser)
                this.$store.dispatch('setAuthUser', JSON.parse(authUser))
            window.axios.post('http://localhost:8000/api/test')
        }
    }
</script>